Read all customers
curl --request GET \
--url https://api-sandbox.lumx.io/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.lumx.io/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.lumx.io/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.lumx.io/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.lumx.io/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.lumx.io/customers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.lumx.io/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "cd47b5de-70bd-4060-9396-45723d879f0b",
"type": "INDIVIDUAL",
"name": "Mariana Costa Ribeiro",
"taxId": "42875415298",
"birthDate": "1990-05-14",
"country": "BRA",
"email": "mariana.ribeiro@example.com",
"accounts": [
{
"id": "4aa0b2ec-c110-4198-a8c6-45b987fc5d0b",
"currency": "BRL"
}
],
"verification": {
"status": "MISSING_TOS",
"level": "STANDARD"
},
"requirements": [
{
"name": "ID_CARD",
"status": "NOT_SENT"
},
{
"name": "PASSPORT",
"status": "NOT_SENT"
},
{
"name": "DRIVERS_LICENSE",
"status": "NOT_SENT"
},
{
"name": "RESIDENCE_PERMIT",
"status": "NOT_SENT"
},
{
"name": "BANK_STATEMENT",
"status": "APPROVED"
},
{
"name": "INCOME_TAX_RETURN",
"status": "APPROVED"
},
{
"name": "DELIVERY_RECEIPT",
"status": "APPROVED"
},
{
"name": "SELFIE",
"status": "APPROVED"
},
{
"name": "PROOF_OF_ADDRESS",
"status": "NOT_SENT"
},
{
"name": "ADDITIONAL_INFORMATION",
"status": "NOT_SENT"
},
{
"name": "TERMS_OF_SERVICE",
"status": "NOT_SENT"
}
],
"metadata": {
"externalId": "usr_10293"
},
"createdAt": "2026-11-03T17:39:05.440Z",
"updatedAt": "2026-11-03T17:39:05.440Z"
}
],
"pagination": {
"size": 25,
"total": 1,
"hasNextPage": false,
"hasPreviousPage": false
}
}Customers
Read all customers
Reads all customers, newest first.
GET
/
customers
Read all customers
curl --request GET \
--url https://api-sandbox.lumx.io/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.lumx.io/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.lumx.io/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.lumx.io/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.lumx.io/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.lumx.io/customers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.lumx.io/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "cd47b5de-70bd-4060-9396-45723d879f0b",
"type": "INDIVIDUAL",
"name": "Mariana Costa Ribeiro",
"taxId": "42875415298",
"birthDate": "1990-05-14",
"country": "BRA",
"email": "mariana.ribeiro@example.com",
"accounts": [
{
"id": "4aa0b2ec-c110-4198-a8c6-45b987fc5d0b",
"currency": "BRL"
}
],
"verification": {
"status": "MISSING_TOS",
"level": "STANDARD"
},
"requirements": [
{
"name": "ID_CARD",
"status": "NOT_SENT"
},
{
"name": "PASSPORT",
"status": "NOT_SENT"
},
{
"name": "DRIVERS_LICENSE",
"status": "NOT_SENT"
},
{
"name": "RESIDENCE_PERMIT",
"status": "NOT_SENT"
},
{
"name": "BANK_STATEMENT",
"status": "APPROVED"
},
{
"name": "INCOME_TAX_RETURN",
"status": "APPROVED"
},
{
"name": "DELIVERY_RECEIPT",
"status": "APPROVED"
},
{
"name": "SELFIE",
"status": "APPROVED"
},
{
"name": "PROOF_OF_ADDRESS",
"status": "NOT_SENT"
},
{
"name": "ADDITIONAL_INFORMATION",
"status": "NOT_SENT"
},
{
"name": "TERMS_OF_SERVICE",
"status": "NOT_SENT"
}
],
"metadata": {
"externalId": "usr_10293"
},
"createdAt": "2026-11-03T17:39:05.440Z",
"updatedAt": "2026-11-03T17:39:05.440Z"
}
],
"pagination": {
"size": 25,
"total": 1,
"hasNextPage": false,
"hasPreviousPage": false
}
}Authorizations
Query Parameters
Response
Resources successfully retrieved.